# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "fahrenheit/ubpb/primo/version"

Gem::Specification.new do |spec|
  spec.name          = "fahrenheit-ubpb-primo"
  spec.version       = Fahrenheit::Ubpb::Primo::VERSION
  spec.authors       = ["Michael Sievers"]
  spec.summary       = %q{Fahrenheit factories for Primo installation of Ubpb}
  spec.homepage      = "https://github.com/ubpb/fahrenheit-ubpb-primo"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "fahrenheit"
  spec.add_dependency "multi_json", ">= 1.10.1",  "< 2.0.0"
  spec.add_dependency "yahm", "~> 0.2.2"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", ">= 3.0.0", "< 4.0.0"
  spec.add_development_dependency "simplecov", ">= 0.8.2"
end
