describe Fahrenheit::Ubpb::Primo::SearchRequestFactory do
  let(:query) { YAML.load(read_asset("search_request_factory/query.yml")) }

  describe "#new" do
    let(:new_result) { described_class.new(query) }

    it "returns a Fahrenheit::SearchRequest" do
      expect(new_result).to be_a(Fahrenheit::SearchRequest)
    end

    it "transforms the given query correctly according to its mapping" do
      expect(new_result.to_h).to eq(YAML.load(read_asset("search_request_factory/result.yml")))
    end
  end
end
