describe Fahrenheit::Ubpb::Primo::SearchResultFactory do
  let(:search_result) { YAML.load(read_asset("search_result_factory/new.yml")) }

  describe "#new" do
    let(:factory_method_result) { described_class.new(search_result) }

    it "returns a Fahrenheit::SearchResult" do
      expect(factory_method_result).to be_a(Fahrenheit::SearchResult)
    end

    it "applies mapping rules to the input" do
      binding.pry
      expect(described_class.new(search_result).to_h).to eq(YAML.load(read_asset("search_result_factory/new___to_h.yml")))
    end
  end
end
